<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns="http://www.nlog-project.org/schemas/NLog.xsd"
      xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xsi:schemaLocation="http://www.nlog-project.org/schemas/NLog.xsd NLog.xsd"
      autoReload="true"
      throwExceptions="false"
      internalLogLevel="Off" internalLogFile="c:\temp\nlog-internal.log">

  <!-- optional, add some variables
  https://github.com/nlog/NLog/wiki/Configuration-file#variables
  -->
  <variable name="myvar" value="myvalue"/>

  <!--
  See https://github.com/nlog/nlog/wiki/Configuration-file
  for information on customizing logging rules and outputs.
   -->
  <targets>

    <!--
      Данная цель сохраняет лог в файл вида logs\2018-04-20.log
      вид сообщения: 2018-04-20 12:27:05.9121 DEBUG debug message
    -->
	  <target xsi:type="File" name="filedata" fileName="${basedir}/logs/${shortdate}.log"
					layout="${longdate} ${uppercase:${level}} ${message}" />
  </targets>

  <rules>
	  <logger name="*" minlevel="Debug" writeTo="filedata" />
  </rules>
</nlog>
